#
# Conditional build:
%bcond_without	pcre	# PCRE support
%bcond_without	tests	# don't perform "make check"
#
Summary:	GNU grep Utilities
Summary(de.UTF-8):	GNU-Version der Pattern-Matching-Utilities
Summary(es.UTF-8):	Utilitarios grep GNU
Summary(fr.UTF-8):	Utilitaires grep de GNU
Summary(ja.UTF-8):	GNU grep の日本語対応版です.
Summary(pl.UTF-8):	GNU grep
Summary(pt_BR.UTF-8):	Utilitários grep GNU
Summary(ru.UTF-8):	Утилиты поиска по шаблонам GNU grep
Summary(tr.UTF-8):	Dosyalarda katar arama aracı
Summary(uk.UTF-8):	Утиліти пошуку по шаблонам GNU grep
Name:		grep
Version:	2.21
Release:	1
Epoch:		2
License:	GPL v3+
Group:		Applications/Text
Source0:	http://ftp.gnu.org/gnu/grep/%{name}-%{version}.tar.xz
# Source0-md5:	43c48064d6409862b8a850db83c8038a
Source1:	http://www.mif.pg.gda.pl/homepages/ankry/man-PLD/%{name}-non-english-man-pages.tar.bz2
# Source1-md5:	1b5e726d0bee53e898531de4a76ad290
Patch0:		%{name}-info.patch
Patch1:		%{name}-pl.po-update.patch
URL:		http://www.gnu.org/software/grep/grep.html
BuildRequires:	autoconf >= 2.59
BuildRequires:	automake >= 1:1.11
BuildRequires:	gettext-devel >= 0.18.2
%{?with_pcre:BuildRequires:	pcre-devel}
BuildRequires:	tar >= 1:1.22
BuildRequires:	texinfo
BuildRequires:	xz
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		_bindir		/bin
%define		_exec_prefix	/

%description
The GNU versions of commonly used grep utilities. Grep searches one or
more input files for lines which contain a match to a specified
pattern and then prints the matching lines. GNU's grep utilities
include grep, egrep and fgrep.

%description -l de.UTF-8
Die GNU-Versionen der häufig benutzten grep-Utilities. Grep durchsucht
eine oder mehrere Eingabedateien nach Zeilen, die auf ein angegebenes
Muster passen, und zeigt dann die entsprechenden Zeilen an. GNUs grep
enthält grep, egrep und fgrep.

%description -l es.UTF-8
Esta es la implementación GNU del popular utilitario grep. Permite la
localización rápida de strings en archivos texto.

%description -l fr.UTF-8
Ceci est l'implémentation par GNU du populaire l'utilitaire grep su
Unix. Il permet de localiser rapidement des chaînes de caractéres dans
les fichiers.

%description -l ja.UTF-8
GNU プロジェクトによる grep, egrep, fgrep (以下単に grep) をマルチバ
イトパッチ(mb1.04)によって日本語対応にしたものです.

%description -l pl.UTF-8
GNU grep jest implementacją popularnego programu uniksowego `grep'.
Grep jest jednym z podstawowych narzędzi, korzysta z niego prawie
każdy skrypt shella.

%description -l pt_BR.UTF-8
Esta é a implementação GNU do popular utilitário grep. Permite a
localização rápida de strings em arquivos texto.

%description -l ru.UTF-8
Это реализация GNU утилиты grep, предназначенной для быстрого поиска
по образцу в текстовых файлах.

%description -l tr.UTF-8
Bu, bütün Unix'lerde bulunan ve yaygın olarak kullanılan grep aracının
GNU sürümüdür. Metin dosyaları içinde bulunan katarları aramada
kullanılır.

%description -l uk.UTF-8
Це GNU реалізація популярної утиліти grep, призначеної для швидкого
пошуку по шаблону в текстових файлах.

%prep
%setup -q
%patch0 -p1
%patch1 -p1

%{__rm} po/stamp-po

%build
%{__gettextize}
%{__aclocal} -I m4
%{__autoconf}
%{__autoheader}
%{__automake}
%configure \
	%{!?with_pcre:--disable-perl-regexp} \
	--disable-silent-rules \
	--without-included-regex
%{__make}

%{?with_tests:%{__make} check}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT/etc/env.d

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

echo .so grep.1 > $RPM_BUILD_ROOT%{_mandir}/man1/egrep.1
echo .so grep.1 > $RPM_BUILD_ROOT%{_mandir}/man1/fgrep.1

bzip2 -dc %{SOURCE1} | tar xf - -C $RPM_BUILD_ROOT%{_mandir}

cat << EOF >$RPM_BUILD_ROOT/etc/env.d/GREP_OPTIONS
#GREP_OPTIONS="--binary-files=without-match --directories=skip --color=auto"
EOF

%find_lang %{name}

rm -f $RPM_BUILD_ROOT%{_infodir}/dir
%{__rm} $RPM_BUILD_ROOT%{_mandir}/README.grep-non-english-man-pages
%{__rm} $RPM_BUILD_ROOT%{_mandir}/ja-grep-nozgrep.diff

%clean
rm -rf $RPM_BUILD_ROOT

%post -p /sbin/postshell
-/usr/sbin/fix-info-dir -c %{_infodir}
-/sbin/env-update -u

%postun -p /sbin/postshell
-/usr/sbin/fix-info-dir -c %{_infodir}
-/sbin/env-update -u

%files -f %{name}.lang
%defattr(644,root,root,755)
%doc NEWS README ChangeLog TODO
%config(noreplace,missingok) %verify(not md5 mtime size) /etc/env.d/GREP_OPTIONS
%attr(755,root,root) %{_bindir}/egrep
%attr(755,root,root) %{_bindir}/fgrep
%attr(755,root,root) %{_bindir}/grep
%{_mandir}/man1/egrep.1*
%{_mandir}/man1/fgrep.1*
%{_mandir}/man1/grep.1*
%lang(cs) %{_mandir}/cs/man1/*
%lang(de) %{_mandir}/de/man1/*
%lang(es) %{_mandir}/es/man1/*
%lang(fi) %{_mandir}/fi/man1/*
%lang(fr) %{_mandir}/fr/man1/*
%lang(hu) %{_mandir}/hu/man1/*
%lang(it) %{_mandir}/it/man1/*
%lang(ja) %{_mandir}/ja/man1/*
%lang(nl) %{_mandir}/nl/man1/*
%lang(pl) %{_mandir}/pl/man1/*
%{_infodir}/grep.info*
%changelog
* Mon Nov 24 2014 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/grep.git;a=log;h=master

* Mon Nov 24 2014 Arkadiusz Miśkiewicz <arekm@maven.pl> 23ca436
- up to 2.21

* Wed Jun 04 2014 Jakub Bogusz <qboosh@pld-linux.org> 418b91f
- updated to 2.20 (bugfixes)

* Fri May 23 2014 Jakub Bogusz <qboosh@pld-linux.org> fbbcb0d
- updated to 2.19

* Tue Feb 25 2014 Jakub Bogusz <qboosh@pld-linux.org> 2705730
- updated to 2.18 (regression fixes)

* Sat Feb 22 2014 Jakub Bogusz <qboosh@pld-linux.org> 701ff40
- updated gettext version

* Tue Feb 18 2014 Arkadiusz Miśkiewicz <arekm@maven.pl> d14d024
- up to 2.17 (10x speedup in multibyte locale in some common cases)

* Thu Jan 02 2014 Jakub Bogusz <qboosh@pld-linux.org> cca240c
- updated to 2.16

* Tue Oct 29 2013 Arkadiusz Miśkiewicz <arekm@maven.pl> 661493f
- up to 2.15

* Wed Aug 22 2012 Kacper Kornet <draenog@pld-linux.org> 24772da
- updated to 2.14

* Thu Jul 05 2012 Jakub Bogusz <qboosh@pld-linux.org> 5770d6b
- updated to 2.13
- added pl.po-update patch (3 fuzzies)

* Sun May 27 2012 Jakub Bogusz <qboosh@pld-linux.org> 67ccd55
- updated to 2.12
- removed obsolete pl.po-update patch

* Wed Mar 28 2012 Arkadiusz Miśkiewicz <arekm@maven.pl> df78d5f
- release 2

* Sun Mar 04 2012 Jakub Bogusz <qboosh@pld-linux.org> 48a80f3
- added pl.po-update patch

* Sun Mar 04 2012 Arkadiusz Miśkiewicz <arekm@maven.pl> a3fb90d
- up to 2.11

* Sat Nov 26 2011 Jakub Bogusz <qboosh@pld-linux.org> 4085a95
- updated to 2.10
- removed obsolete pl.po-update patch

* Sun Jun 26 2011 Jakub Bogusz <qboosh@pld-linux.org> 6485439
- updated to 2.9
- added pl.po-update patch (from TP)

* Mon May 16 2011 Jakub Bogusz <qboosh@pld-linux.org> eae5674
- updated ac/am/gt versions

* Mon May 16 2011 marti <marti@pld-linux.org> 1de12f6
- up to 2.8

* Sat Sep 25 2010 Jakub Bogusz <qboosh@pld-linux.org> 9564405
- updated to 2.7

* Sat Apr 24 2010 Arkadiusz Miśkiewicz <arekm@maven.pl> b4ad979
- up to 2.6.3

